wikiTopK <- function(Eng,Fre,R,Kfull,le){

    n <- dim(Eng)[1]
    
    ### TOPK ###
    
#    R <- 25;
    s <- 40; # number of seeds for seeded graph matching
    g <- 0.1;
    
    lenK = length(Kfull)
    iter <- 20
    
    seeds  <- sort(sample(1:n,s,replace=FALSE))
    nseeds <- setdiff(1:n,seeds)
    A   <- Eng[c(seeds,nseeds),c(seeds,nseeds)]
    B   <- Fre[c(seeds,nseeds),c(seeds,nseeds)]
    
    ### Use sgm to match graphs 
    Ps <- multiStart(A,B,R,s,g,iter=iter)
    	
    rankd <- pass2ranksuplus(Ps)
    matchtopk <- sapply(Kfull, function(x) sum(diag(rankd) <= x))
    
    ### Determine proportion of correctly matched nodes (not including seeds)	
    prop <- (matchtopk-s)/(nrow(Ps)-s)
    return(prop)
}

#
##
###   Time:
####  Working status:
##### Comments:
######Soli Deo Gloria
