

load("Corr05.RData")
mb1 <- MKbar
mk1 <- MKci                            # 

df1 <- data.frame(K = 1:length(mb1),MKbar =mb1, mk1)

p01 <- ggplot(data=df1, aes(x=K, y = mb1)) + 
        geom_line()  + 
        geom_point() + 
        geom_errorbar(aes(ymin=X1, ymax=X2),colour="salmon") + 
        ylab("Avg. Number of correctly matched nodes.") + 
        labs(title= "Top K = 50, |V| = 300, corr = 0.5")


p01

# p02 <- ggplot(data=df[1:15,], aes(x=K, y = MKbar)) + 
#         geom_line()  + 
#         geom_point() + 
#         geom_errorbar(aes(ymin=X1, ymax=X2),colour="salmon") + 
#         ylab("Avg. Number of correctly matched nodes.") + 
#         labs(title = "Top K = 15, |V| = 300")

#pdf("df300nodes_5corr.pdf",height=8,width=8)
#p01
#dev.off()


load("Corr08.RData")
mb2 <- MKbar
mk2 <- MKci

df2 <- data.frame(K = 1:length(mb2),MKbar = mb2, mk2)

p02 <- ggplot(data=df2, aes(x=K, y = mb2)) + 
        geom_line()  + 
        geom_point() + 
        geom_errorbar(aes(ymin=X1, ymax=X2),colour="salmon") + 
        ylab("Avg. Number of correctly matched nodes.") + 
        labs(title= "Top K = 50, |V| = 300, corr = 0.8")

# p02 <- ggplot(data=df2[1:15,], aes(x=K, y = MKbar)) + 
#         geom_line()  + 
#         geom_point() + 
#         geom_errorbar(aes(ymin=X1, ymax=X2),colour="salmon") + 
#         ylab("Avg. Number of correctly matched nodes.") + 
#         labs(title = "Top K = 15, |V| = 300")

#pdf("df300nodes_8corr.pdf",height=8,width=8)
#p02
#dev.off()

df1$group <- "Cor = 0.5"
df2$group <- "Cor = 0.8" 

df3 <- rbind(df1, df2);
df3$rho <- factor(df3$group)

p03 <- ggplot(data= df3, aes(x = K, y = MKbar,    
            colour=rho,group=rho, fill=rho)) + 
    geom_line(aes(group = rho,colour=rho)) + 
    geom_point() +
    theme(text=element_text(size=20)) +
    geom_errorbar(aes(ymin = X1, ymax=X2)) + 
    ylab("Avg. Correct") + 
        labs(title= "Top K = 50, |V| = 300")

pdf("Both_cor5_cor8_20160418.pdf")
p03
dev.off()


