function [] = mat2csv_Celeg(t) %,dlmin,maxitfw) %maxitpath?  20160920
%-------------------------------------------------------------------------
% Input:  Ag, Ah <- adjaceny matrices for graphs G and H, resp. 
%         m      <- number of seeds. Assumed to be correspond to first m
%                   rows/columns of Ag and Ah s.t. vertex G_i corresponds 
%                   to H_i for all i=1,...,m.
%
% Output: Ps     <- Permutation matrix - approximate solution to GM problem
%                     via (this) PATH algorithm
%-------------------------------------------------------------------------


load('elegansGraph.mat')

GE=full(Achem);
GF=full(Agap);

csvwrite('Achem_asym.csv',GE)
csvwrite('Agap_asym.csv',GF)

%%%%%%%% From Sancar Adali Repo
% Binarize and Symmetrize the adjacency matrices
GE = GE+GE';
GF=GF+GF';
GE= (GE>0);        
GF= (GF>0);
%%%%%%%%%%

csvwrite('Achem_binsym.csv',GE)
csvwrite('Agap_binsym.csv',GF)


return
