options(echo = TRUE)
args <- commandArgs(trailingOnly = TRUE)

#lfull <- seq(1,25,by=1)
if(length(args) > 0){ 
  le <- as.integer(args[1])
} else {
  stop("Forgot to Initialize")
}


require(igraph)
require(VN)
require(clue)

source("wikiTopK.r")
Eng <- read.csv(file = "wikiEngAdj.csv",header=FALSE)
Fre <- read.csv(file = "wikiFreAdj.csv",header=FALSE)

Eng <- as.matrix(Eng)
Fre <- as.matrix(Fre)

R <- 25
Kfull <- seq(1,10)
set.seed(100*le)
preck <- wikiTopK(Eng,Fre,R,Kfull,le)

dout <- data.frame(itr=le,preck=preck)

strtitle <- sprintf("wikiTopKl%02d.csv",le)
write.csv(dout,strtitle)


###   Time:
####  Working status:
##### Comments:
######Soli Deo Gloria
